--- old/usr/src/tools/depcheck/examples.txt	2018-01-25 19:54:39.657270114 +0000
+++ /dev/null	2018-01-25 19:54:39.000000000 +0000
@@ -1,447 +0,0 @@
-
-CDDL HEADER START
-
-The contents of this file are subject to the terms of the
-Common Development and Distribution License (the "License").
-You may not use this file except in compliance with the License.
-
-You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-or http://www.opensolaris.org/os/licensing.
-See the License for the specific language governing permissions
-and limitations under the License.
-
-When distributing Covered Code, include this CDDL HEADER in each
-file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-If applicable, add the following below this CDDL HEADER, with the
-fields enclosed by brackets "[]" replaced with your own identifying
-information: Portions Copyright [yyyy] [name of copyright owner]
-
-CDDL HEADER END
-
-Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-Use is subject to license terms.
-
-The first step in doing any kind of dependency checking - setting up the
-database.
-
-In this example, I use my SampleLinks file to help resolve some defficiencies
-in the pkg database.  The "OVERRIDDEN" line refer to information that was
-provided by the SampleLinks file.  The "CANNOT FIND" file refers to files
-which are links but cannot be resolved to an executable.  The "README" file
-has a more in-depth explanation.
-======================================================================
-
-
-euphoria>./make_pkg_db -dbdir DBM -ifiles SampleLinks
-...initializing the databases
-Creating directory DBM
-...making the FTYPE MODE and PKGS databases
-...opening SampleLinks
-...opening /var/sadm/install/contents
-...OVERRIDDEN: /usr/bin/appletviewer=../java/bin/appletviewer s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/extcheck=../java/bin/extcheck s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/jar=../java/bin/jar s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/jarsigner=../java/bin/jarsigner s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/java=../java/bin/java s none SUNWj2rt.2
-...OVERRIDDEN: /usr/bin/javac=../java/bin/javac s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/javadoc=../java/bin/javadoc s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/javah=../java/bin/javah s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/javald=../java/bin/javald s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/javap=../java/bin/javap s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/jdb=../java/bin/jdb s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/keytool=../java/bin/keytool s none SUNWj2rt.2
-...OVERRIDDEN: /usr/bin/native2ascii=../java/bin/native2ascii s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/oldjava=../java/bin/oldjava s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/policytool=../java/bin/policytool s none SUNWj2rt.2
-...OVERRIDDEN: /usr/bin/rmic=../java/bin/rmic s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/rmid=../java/bin/rmid s none SUNWj2rt.2
-...OVERRIDDEN: /usr/bin/rmiregistry=../java/bin/rmiregistry s none SUNWj2rt.2
-...OVERRIDDEN: /usr/bin/serialver=../java/bin/serialver s none SUNWj2dev.2
-...OVERRIDDEN: /usr/bin/tnameserv=../java/bin/tnameserv s none SUNWj2rt.2
-...OVERRIDDEN: /usr/include/Mrm=../dt/include/Mrm s none SUNWxwhl
-...OVERRIDDEN: /usr/include/X11=../openwin/include/X11 s none SUNWxwhl
-...OVERRIDDEN: /usr/include/Xm=../dt/include/Xm s none SUNWxwhl
-...OVERRIDDEN: /usr/include/kcms=../openwin/include/kcms s none SUNWxwhl
-...OVERRIDDEN: /usr/include/uil=../dt/include/uil s none SUNWxwhl
-...OVERRIDDEN: /usr/include/xil=../openwin/include/xil s none SUNWxwhl
-...making the ABSLINK database
-***CANNOT FIND ABSOLUTE PATH /usr/dt/config/C/bookmarks FOR ENTRY: /usr/dt/config/C/wsmenu/Links/Personal_Bookmarks=../../bookmarks
-***CANNOT FIND ABSOLUTE PATH /usr/dt/config/en_US.UTF-8/bookmarks FOR ENTRY: /usr/dt/config/en_US.UTF-8/wsmenu/Links/Personal_Bookmarks=../../bookmarks
-***CANNOT FIND ABSOLUTE PATH /usr/lib/locale/fr/LC_MESSAGES FOR ENTRY: /usr/lib/locale/fr_CA.ISO8859-1/LC_MESSAGES=../fr/LC_MESSAGES
-...DONE
-
-The default dependency check on /usr/bin/sh.  This analysis uses
-"/usr/bin/stings" and "/usr/bin/ldd" to glean information about 
-file being analysed.
-
-The default format of a dependency is "filename:pkgname".
-=======================================================================
-
-euphoria>./get_depend_info -dbdir DBM /usr/bin/sh   
-
-
-Analyzing /usr/bin/sh:
-/usr/lib/libgen.so.1:SUNWcsl
-/usr/lib/libsecdb.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libcmd.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/bin:SUNWcsr
-/dev/null:SUNWcsd
-/etc/profile:SUNWcsr
-/usr/5bin:SUNWscpu
-/usr/bin/pfexec:SUNWcsu
-
-A conservative analysis of the executable which only yields guaranteed
-dependencies..  This analysis does not use "/usr/bin/strings" and only
-uses "/usr/bin/ldd".
-===================================================================
-
-euphoria>get_depend_info -dbdir DBM -cons /usr/bin/sh
-
-
-Analyzing /usr/bin/sh:
-/usr/lib/libgen.so.1:SUNWcsl
-/usr/lib/libsecdb.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libcmd.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-A pkg level anaysis on the executable.  In this format, only pkg dependencies
-are listed and file dependencies are dropped from the output.
-
-======================================================================
-euphoria>get_depend_info -dbdir DBM -p /usr/bin/ls
-
-
-Analyzing /usr/bin/ls:
-P SUNWcsl       Core Solaris, (Shared Libs)
-The default dependency check on /usr/bin/sh.  This analysis uses
-"/usr/bin/stings" and "/usr/bin/ldd" to glean information about 
-file being analysed.
-
-The default format of a dependency is "filename:pkgname".
-=======================================================================
-
-euphoria>./get_depend_info -dbdir DBM /usr/bin/sh   
-
-
-Analyzing /usr/bin/sh:
-/usr/lib/libgen.so.1:SUNWcsl
-/usr/lib/libsecdb.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libcmd.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/bin:SUNWcsr
-/dev/null:SUNWcsd
-/etc/profile:SUNWcsr
-/usr/5bin:SUNWscpu
-/usr/bin/pfexec:SUNWcsu
-
-This is a dependency check on a pkg.  All the files within the pkg are analysed
-and a report is generated.  Note at the end of the listing is a summarized
-listing of pkg dependencies.
-
-=============================================================================
-euphoria>get_depend_info -dbdir DBM -pkg SUNWnisu    
-
-
-Analyzing /usr:
-Input file is a directory
-
-
-Analyzing /usr/bin:
-Input file is a directory
-
-
-Analyzing /usr/bin/aliasadm:
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/usr/bin/vi:SUNWcsu
-
-
-Analyzing /usr/bin/chkey:
-/usr/lib/librpcsvc.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/usr/lib/libsldap.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libldap.so.4:SUNWcsl
-/usr/lib/libdoor.so.1:SUNWcsl
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libresolv.so.2:SUNWcsl
-/etc/nsswitch.conf:SUNWcsr
-/etc/publickey:SUNWnisr
-/usr/ccs/bin/make:SUNWsprot
-
-
-Analyzing /usr/bin/getent:
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-
-Analyzing /usr/bin/ldaplist:
-/usr/lib/libldap.so.4:SUNWcsl
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libsldap.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libresolv.so.2:SUNWcsl
-/usr/lib/libdoor.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-
-Analyzing /usr/bin/newaliases:
-/usr/lib/libresolv.so.2:SUNWcsl
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libldap.so.4:SUNWcsl
-/usr/lib/libsldap.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/usr/lib/libdoor.so.1:SUNWcsl
-/dev/ksyms:SUNWcsd
-/dev/null:SUNWcsd
-/etc/hosts:SUNWcsr
-/etc/mail/sendmail.cf:SUNWsndmr
-/etc/mnttab:SUNWcsr
-/usr/tmp:SUNWcsu
-
-
-Analyzing /usr/bin/ypcat:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/var/yp/nicknames:SUNWnisr
-
-
-Analyzing /usr/bin/ypmatch:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/var/yp/nicknames:SUNWnisr
-
-
-Analyzing /usr/bin/ypwhich:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/var/yp/nicknames:SUNWnisr
-
-
-Analyzing /usr/lib:
-Input file is a directory
-
-
-Analyzing /usr/lib/ldap:
-Input file is a directory
-
-
-Analyzing /usr/lib/ldap/ldap_cachemgr:
-/usr/lib/libdoor.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libsldap.so.1:SUNWcsl
-/usr/lib/libthread.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/usr/lib/libldap.so.4:SUNWcsl
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libresolv.so.2:SUNWcsl
-/dev/null:SUNWcsd
-
-
-Analyzing /usr/lib/libnisdb.so:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-
-Analyzing /usr/lib/libnisdb.so.2:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-
-Analyzing /usr/lib/netsvc:
-Input file is a directory
-
-
-Analyzing /usr/lib/netsvc/nis:
-Input file is a directory
-
-
-Analyzing /usr/lib/netsvc/yp:
-Input file is a directory
-
-
-Analyzing /usr/lib/netsvc/yp/ypbind:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/dev/null:SUNWcsd
-/etc/hosts:SUNWcsr
-/etc/inet/ipnodes:SUNWcsr
-
-
-Analyzing /usr/lib/netsvc/yp/ypstart:
-/dev/null:SUNWcsd
-/usr/bin/ps:SUNWcsu
-/usr/sbin/fnsypd:SUNWfns
-/usr/sbin/makedbm:SUNWcsu
-/var/yp/Makefile:SUNWypr
-/var/yp/updaters:SUNWypr
-
-
-Analyzing /usr/lib/netsvc/yp/ypstop:
-/usr/bin/ps:SUNWcsu
-
-
-Analyzing /usr/lib/netsvc/yp/ypxfr:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/dev/null:SUNWcsd
-
-
-Analyzing /usr/sbin:
-Input file is a directory
-
-
-Analyzing /usr/sbin/gettable:
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-
-Analyzing /usr/sbin/htable:
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-
-Analyzing /usr/sbin/ldap_gen_profile:
-/usr/lib/libldap.so.4:SUNWcsl
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libsldap.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libresolv.so.2:SUNWcsl
-/usr/lib/libdoor.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/etc/nsswitch.conf:SUNWcsr
-/etc/nsswitch.ldap:SUNWcsr
-
-
-Analyzing /usr/sbin/ldapclient:
-/usr/lib/libldap.so.4:SUNWcsl
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libsldap.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libresolv.so.2:SUNWcsl
-/usr/lib/libdoor.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/etc/nsswitch.conf:SUNWcsr
-/etc/nsswitch.ldap:SUNWcsr
-
-
-Analyzing /usr/sbin/newkey:
-/usr/lib/librpcsvc.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/usr/lib/libsldap.so.1:SUNWcsl
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libldap.so.4:SUNWcsl
-/usr/lib/libdoor.so.1:SUNWcsl
-/usr/lib/libresolv.so.2:SUNWcsl
-/etc/nsswitch.conf:SUNWcsr
-/etc/publickey:SUNWnisr
-/usr/ccs/bin/make:SUNWsprot
-
-
-Analyzing /usr/sbin/rpc.rexd:
-/usr/lib/libsocket.so.1:SUNWcsl
-/usr/lib/librpcsvc.so.1:SUNWcsl
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libbsm.so.1:SUNWcsl
-/usr/lib/libpam.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-/dev/console:SUNWcsd
-/etc/mnttab:SUNWcsr
-/var/adm/wtmpx:SUNWcsr
-
-
-Analyzing /usr/sbin/ypalias:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-
-Analyzing /usr/sbin/ypinit:
-/dev/null:SUNWcsd
-/etc/hosts:SUNWcsr
-/etc/inet/ipnodes:SUNWcsr
-/usr/lib/netsvc/yp/ypxfr:SUNWnisu
-
-
-Analyzing /usr/sbin/yppoll:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-
-Analyzing /usr/sbin/ypset:
-/usr/lib/libnsl.so.1:SUNWcsl
-/usr/lib/libdl.so.1:SUNWcsl
-/usr/lib/libc.so.1:SUNWcsl
-/usr/lib/libmp.so.2:SUNWcsl
-
-
-Package dependencies for SUNWnisu:
-P SUNWcsd       Core Solaris Devices
-P SUNWcsl       Core Solaris, (Shared Libs)
-P SUNWcsr       Core Solaris, (Root)
-P SUNWcsu       Core Solaris, (Usr)
-P SUNWfns       Federated Naming System
-P SUNWlibC      Sun Workshop Compilers Bundled libC
-P SUNWlibms     Sun WorkShop Bundled shared libm
-P SUNWnisr      Network Information System, (Root)
-P SUNWnisu      Network Information System, (Usr)
-P SUNWsndmr     Sendmail root
-P SUNWsprot     Solaris Bundled tools
-P SUNWypr       NIS Server for Solaris (root)